OpenapiDevice Settings
Update device settings
Updates one or more supported settings for a device.
Authorization
RingAccessToken AuthorizationBearer <token>
Send an OAuth access token in the Authorization: Bearer header. Token exchange and refresh operations are described under Authentication.
In: header
Path Parameters
device_id*integer
Format
int64Range
1 <= valueRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Extensible wire patch. Historical variants include motion_settings, video_settings, general_settings, and volume_settings. Additional settings may be available for other device types.
Properties
1 <= propertiesResponse Body
application/json
curl -X PATCH "https://example.com/devices/v1/devices/1/settings" \ -H "Content-Type: application/json" \ -d '{ "motion_settings": { "motion_detection_enabled": true } }'{ "motion_settings": { "motion_detection_enabled": true }, "ptz_settings": {}, "video_settings": {}}